require 'yaml'
require 'polyglot_cli/version'

# Helpers
require 'polyglot_cli/helpers/depaginate'
require 'polyglot_cli/helpers/nest'
require 'polyglot_cli/helpers/terminal'
require 'polyglot_cli/helpers/general'

# JSON API Resources
require 'json_api_client'
require 'polyglot_cli/resources/base'
require 'polyglot_cli/resources/language'
require 'polyglot_cli/resources/project'
require 'polyglot_cli/resources/session'
require 'polyglot_cli/resources/translation'
require 'polyglot_cli/resources/translation_key'

# File Accessors
require 'polyglot_cli/io/config'
require 'polyglot_cli/io/locale'
require 'polyglot_cli/io/token'

# Commands
require 'polyglot_cli/commands/login'
require 'polyglot_cli/commands/pull'
require 'polyglot_cli/commands/push'
require 'polyglot_cli/commands/setup'
require 'polyglot_cli/commands/status'

# Error Handler
require 'polyglot_cli/error_handler'

module PolyglotCli
  # Your code goes here...
end
