module PolyglotCli
  module Command
    class Login
      include Helper::Terminal

      def self.init
        new.call
      end

      def call
        PolyglotCli::IO::Token.write(token)
        success
      end

      private

      def token
        prompt.say('Logging into API...')
        PolyglotCli::Resource::Session.create(email: email, password: password).token
      end

      def email
        prompt.ask('Email:') { |q| q.validate :email }
      end

      def password
        prompt.mask('Password:')
      end
    end
  end
end
