module PolyglotCli
  class ErrorHandler
    extend Helper::Terminal

    class << self
      def rescuable
        yield
      rescue => e
        handle(e)
      end

      def handle(e)
        prompt.error(
          case e
          when JsonApiClient::Errors::NotAuthorized
            'You are not authorized.'
          when Errno::ENOENT
            'We could not find a file that we need. Please try logging in and initializing the project.'
          else
            "An error happened. The elves are against you. This might help:\n\n#{e.message}"
          end
        )
      end
    end
  end
end
