module PolyglotCli
  module IO
    class Config
      extend Helper::Terminal

      CONFIG_FILE_PATH = "#{Dir.pwd}/.polyglot.yml".freeze

      class << self
        def write(data)
          prompt.say("Writing config to #{CONFIG_FILE_PATH}")
          File.open(CONFIG_FILE_PATH, 'w') { |f| YAML.dump(data, f) }
        end

        def read
          prompt.say("Reading config from #{CONFIG_FILE_PATH}")
          YAML.load_file(CONFIG_FILE_PATH)
        end
      end
    end
  end
end
