module PolyglotCli
  module IO
    class Locale
      extend Helper::Terminal

      class << self
        def write(locale_path, data)
          prompt.say("Writing translations to #{path(locale_path, data.keys[0])}")
          File.open(path(locale_path, data.keys[0]), 'w') { |f| f.write(data.to_yaml(line_width: -1)) }
        end

        def read(locale_path, locale)
          prompt.say("Reading translations from #{path(locale_path, locale)}")
          YAML.load_file(path(locale_path, locale))
        end

        def path(locale_path, locale)
          "#{Dir.pwd}/#{locale_path}/#{locale}.yml"
        end
      end
    end
  end
end
