module PolyglotCli
  module IO
    class Token
      extend Helper::Terminal

      AUTH_FILE_PATH = "#{Dir.home}/.polyglot.auth".freeze

      class << self
        def write(token)
          prompt.say("Writing token to #{AUTH_FILE_PATH}")
          File.open(AUTH_FILE_PATH, 'w') { |f| f.write(token) }
        end

        def read
          prompt.say("Reading token from #{AUTH_FILE_PATH}")
          File.read(AUTH_FILE_PATH)
        end
      end
    end
  end
end
