module PolyglotCli
  module Resource
    class Base < JsonApiClient::Resource
      extend PolyglotCli::Helper::Depaginate

      self.site = case ENV['POLYGLOT_CLI_ENV']
                  when 'development', 'test'
                    'http://polyglothq.test/api/v2/'
                  when 'staging'
                    'https://staging-polyglothq.com/api/v2/'
                  else
                    'https://polyglothq.com/api/v2/'
                  end

      def self.with_subdomain(subdomain)
        self.site = site.sub(/http(s)?\:\/\//, "http\\1://#{subdomain}.")
        self
      end

      def self.token(token)
        self.connection_options = { headers: { 'X-Auth-Token' => token } }
        self
      end

      def self.depaginate(opts = {})
        depaginate_query(where(opts))
      end
    end
  end
end
